Update Mozillians prod to 2012-07-03 tag ASAP

VERIFIED FIXED

Status

task
--
critical
VERIFIED FIXED
7 years ago
3 months ago

People

(Reporter: jsocol, Assigned: bburton)

Tracking

Details

Please update Mozillians production to the tag 2012-07-03 ASAP. We need to deploy a change at the request of the Data Safety Council immediately.

If anything goes wrong, try

> python manage.py update_product_details -f

though I think we fixed that already. If anything else goes wrong, please ping me and I can hop on IRC into the #commtools channel.

Thanks!
Assignee

Updated

7 years ago
Assignee: server-ops-webops → bburton
Assignee

Comment 1

7 years ago
Pushing now
Status: NEW → ASSIGNED
Assignee

Comment 2

7 years ago
Push complete

[root@genericadm.private.phx1 mozillaignite]# sudo bash -x /data/genericrhel6/src/mozillians.org/update 2012-07-03
+ '[' 1 -lt 1 ']'
+ CODE_DIR=/data/genericrhel6/src/mozillians.org/mozillians
+ VENDOR_DIR=/data/genericrhel6/src/mozillians.org/mozillians/vendor
+ LOCALE_DIR=/data/genericrhel6/src/mozillians.org/mozillians/locale
+ getcode 2012-07-03
+ set -x
+ echo -e 'Updating code...'
Updating code...
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ git fetch origin -qt
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git checkout -f 2012-07-03
Previous HEAD position was 807e89a... Only allow paid staff access to API.
HEAD is now at 94c941d... [fix bug 770494] Disable APIv1 for now.
+ git submodule sync -q
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Updating vendor...'
Updating vendor...
+ cd /data/genericrhel6/src/mozillians.org/mozillians/vendor
+ git submodule sync -q
+ git submodule update --init -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians/locale
+ find . -name '*.mo' -delete
+ svn up
Updating '.':
U    zh_TW/LC_MESSAGES/messages.po
Updated to revision 106976.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ ./compile.sh
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ find . -type f -name .gitignore -or -name '*.pyc' -delete
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ python ./manage.py compress_assets
/data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/djcelery/__init__.py, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
To turn on cache busting, use settings.CACHEBUST_IMGS
Unchanged files skipped for minification: 10
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ python manage.py syncdb
/data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Syncing...
Creating tables ...
Installing custom SQL ...
Installing indexes ...
No fixtures found.

Synced:
 > funfactory
 > django.contrib.auth
 > django_sha2
 > django.contrib.contenttypes
 > django.contrib.sessions
 > commonware.response.cookies
 > djcelery
 > session_csrf
 > elasticutils
 > sorl.thumbnail
 > django.contrib.admin
 > bootstrapform
 > south

Not synced (use migrations):
 - users
 - phonebook
 - groups
 - tastypie
(use ./manage.py migrate to migrate these)
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ python manage.py migrate
/data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Running migrations for users:
- Nothing to migrate.
 - Loading initial data for users.
No fixtures found.
Running migrations for phonebook:
- Nothing to migrate.
 - Loading initial data for phonebook.
No fixtures found.
Running migrations for groups:
- Nothing to migrate.
 - Loading initial data for groups.
No fixtures found.
Running migrations for tastypie:
- Nothing to migrate.
 - Loading initial data for tastypie.
No fixtures found.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ ./manage.py update_product_details
/data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/nose/plugins/manager.py:405: UserWarning: Module djcelery was already imported from /data/genericrhel6/src/mozillians.org/mozillians/vendor/lib/python/djcelery/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
Found last update timestamp: Tue, 26 Jun 2012 12:43:50 GMT
Updating firefox_primary_builds.json from server
Writing new copy of firefox_primary_builds.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating firefox_history_major_releases.json from server
firefox_history_major_releases.json was not modified.
Updating mobile_history_development_releases.json from server
Writing new copy of mobile_history_development_releases.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating firefox_history_stability_releases.json from server
firefox_history_stability_releases.json was not modified.
Updating thunderbird_history_major_releases.json from server
thunderbird_history_major_releases.json was not modified.
Updating mobile_history_stability_releases.json from server
mobile_history_stability_releases.json was not modified.
Updating thunderbird_primary_builds.json from server
thunderbird_primary_builds.json was not modified.
Updating thunderbird_beta_builds.json from server
thunderbird_beta_builds.json was not modified.
Updating thunderbird_history_development_releases.json from server
thunderbird_history_development_releases.json was not modified.
Updating firefox_history_development_releases.json from server
Writing new copy of firefox_history_development_releases.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating mobile_details.json from server
Writing new copy of mobile_details.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating languages.json from server
languages.json was not modified.
Updating thunderbird_versions.json from server
thunderbird_versions.json was not modified.
Updating firefox_versions.json from server
Writing new copy of firefox_versions.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating mobile_history_major_releases.json from server
mobile_history_major_releases.json was not modified.
Updating firefox_beta_builds.json from server
Writing new copy of firefox_beta_builds.json to /data/genericrhel6/src/mozillians.org/mozillians/lib/product_details_json.
Updating thunderbird_history_stability_releases.json from server
thunderbird_history_stability_releases.json was not modified.
Writing last-updated timestamp (Fri, 29 Jun 2012 20:52:18 GMT).
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
Found last update timestamp: Mon, 02 May 2011 22:54:49 GMT
Product Details were up to date.
Product Details update run complete.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ cd /data/genericrhel6/src/mozillians.org/mozillians
+ touch wsgi/playdoh.wsgi
+ set +x
[2012-07-03 12:49:34] Running rsync_project
[2012-07-03 12:49:34] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --delete /data/genericrhel6/src/mozillians.org/ /data/genericrhel6/www/mozillians.org/
[2012-07-03 12:49:37] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --delete /data/genericrhel6/src/mozillians.org/ /data/genericrhel6/www/mozillians.org/ (3.021s)
[2012-07-03 12:49:37] Finished rsync_project (3.021s)
[2012-07-03 12:49:37] Running commit_www
[2012-07-03 12:49:37] [localhost] running: cd /data/genericrhel6/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['mozillians.org']'
[2012-07-03 12:49:40] [localhost] finished: cd /data/genericrhel6/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['mozillians.org']' (3.140s)
[localhost] out: [master fe10e7f] deploy [mozillians.org]
[localhost] out: 11 files changed, 16 insertions(+), 16 deletions(-)
[localhost] out: rewrite mozillians.org/mozillians/lib/product_details_json/firefox_beta_builds.json (93%)
[localhost] out: rewrite mozillians.org/mozillians/lib/product_details_json/firefox_primary_builds.json (71%)
[localhost] out: rewrite mozillians.org/mozillians/lib/product_details_json/mobile_details.json (78%)
[2012-07-03 12:49:40] Finished commit_www (3.140s)
[2012-07-03 12:49:40] Running push_www
[2012-07-03 12:49:40] [generic1.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:40] [generic2.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:40] [generic3.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:40] [generic4.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:40] [generic5.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:40] [generic102.webapp.phx1.mozilla.com] running: /data/bin/update-www.sh mozillians.org
[2012-07-03 12:49:47] [generic5.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.242s)
[generic5.webapp.phx1.mozilla.com] out: Not removing blog.mozilla.org/wp-content/cache/supercache/blog.mozilla.org/
[2012-07-03 12:49:47] [generic3.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.311s)
[generic3.webapp.phx1.mozilla.com] out: Not removing blog.mozilla.org/wp-content/cache/supercache/blog.mozilla.org/
[2012-07-03 12:49:47] [generic2.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.313s)
[generic2.webapp.phx1.mozilla.com] out: Not removing blog.mozilla.org/wp-content/cache/supercache/blog.mozilla.org/
[2012-07-03 12:49:47] [generic1.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.434s)
[generic1.webapp.phx1.mozilla.com] out: Not removing blog.mozilla.org/wp-content/cache/supercache/blog.mozilla.org/
[2012-07-03 12:49:47] [generic4.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.439s)
[generic4.webapp.phx1.mozilla.com] out: Not removing blog.mozilla.org/wp-content/cache/supercache/blog.mozilla.org/
[2012-07-03 12:49:48] [generic102.webapp.phx1.mozilla.com] finished: /data/bin/update-www.sh mozillians.org (7.550s)
[generic102.webapp.phx1.mozilla.com] out: Not removing mozillians.org/mozillians/apps/larper/
[generic102.webapp.phx1.mozilla.com] out: Not removing mozillians.org/mozillians/apps/taskboard/
[generic102.webapp.phx1.mozilla.com] out: Not removing wiki.mozilla.org/wiki/cache/8/
[2012-07-03 12:49:48] Finished push_www (7.558s)
[2012-07-03 12:49:48] [generic1.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:48] [generic2.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:48] [generic3.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:48] [generic4.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:48] [generic5.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:48] [generic102.webapp.phx1.mozilla.com] running: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi
[2012-07-03 12:49:50] [generic3.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.468s)
[2012-07-03 12:49:50] [generic4.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.467s)
[2012-07-03 12:49:50] [generic5.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.481s)
[2012-07-03 12:49:50] [generic102.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.502s)
[2012-07-03 12:49:51] [generic1.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.964s)
[2012-07-03 12:49:51] [generic2.webapp.phx1.mozilla.com] finished: touch /data/www/mozillians.org/mozillians/wsgi/playdoh.wsgi (2.964s)
[2012-07-03 12:49:51] [generic-celery1.seamicro.phx1.mozilla.com] running: /data/bin/update-www.sh
[2012-07-03 12:49:51] [generic-celery2.seamicro.phx1.mozilla.com] running: /data/bin/update-www.sh
[2012-07-03 12:49:51] [generic-celery3.seamicro.phx1.mozilla.com] running: /data/bin/update-www.sh
[2012-07-03 12:50:08] [generic-celery2.seamicro.phx1.mozilla.com] finished: /data/bin/update-www.sh (17.603s)
[2012-07-03 12:50:12] [generic-celery3.seamicro.phx1.mozilla.com] finished: /data/bin/update-www.sh (21.223s)
[2012-07-03 12:50:12] [generic-celery1.seamicro.phx1.mozilla.com] running: service celeryd-mozillians-prod restart
[2012-07-03 12:50:12] [generic-celery2.seamicro.phx1.mozilla.com] running: service celeryd-mozillians-prod restart
[2012-07-03 12:50:12] [generic-celery3.seamicro.phx1.mozilla.com] running: service celeryd-mozillians-prod restart
[2012-07-03 12:50:30] [generic-celery2.seamicro.phx1.mozilla.com] finished: service celeryd-mozillians-prod restart (18.315s)
[generic-celery2.seamicro.phx1.mozilla.com] out: Restarting celery-mozillians-prod: celery-mozillians-prod: stopped
[generic-celery2.seamicro.phx1.mozilla.com] out: celery-mozillians-prod: started
[generic-celery2.seamicro.phx1.mozilla.com] out: [  OK  ]
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Reporter

Comment 3

7 years ago
Just waiting on QA verification. Thanks, solarce!
QA verified - Sorry for the delay, another project beckoned.
- bfts pass
- verified the api is no longer viewable
Status: RESOLVED → VERIFIED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations

Updated

3 months ago
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.